Subject: [OSPF] OSPF WG Last Call for "Hiding Transit-only Networks in OSPF " - <draft-ietf-ospf-prefix-hiding-02.txt>

From: Acee Lindem <[email-masked]>
Date: Wed, 8 Feb 2012 12:07:05 -0500

As I have heard no objections, I'm beginning the 2 week OSPF Working Group last call for draft-ietf-ospf-prefix-hiding-02.txt.
Please review the draft and post your last call comments prior to 12:00 AM PDT on February 23nd, 2012. 
Here is a URL for your convenience: 

http://www.ietf.org/id/draft-ietf-ospf-prefix-hiding-02.txt

Thanks,
Acee 

On Jan 26, 2012, at 11:19 AM, Acee Lindem wrote:

> As WG co-chair, I have reviewed this document and believe it is ready for OSPF WG last call. Any other opinions? 
> There is at least one implementation. Here is a URL for you convenience:
> 
>   http://www.ietf.org/id/draft-ietf-ospf-prefix-hiding-01.txt
> 
> There is an IPR disclosure on this draft:
> 
>   http://datatracker.ietf.org/ipr/1423/
> 
> I will start WG last call next week if I don't hear any objections.
> 
> Thanks,
> Acee
> 
> 
> _______________________________________________
> OSPF mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ospf

---

From: Jeff Tantsura <[email-masked]>
Date: Wed, 8 Feb 2012 12:08:32 -0500

Yes/support

Regards,
Jeff
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Acee Lindem
Sent: Wednesday, February 08, 2012 9:07 AM
Cc: OSPF List
Subject: [OSPF] OSPF WG Last Call for "Hiding Transit-only Networks in OSPF " - <draft-ietf-ospf-prefix-hiding-02.txt>

Thanks,
Acee

---

From: Shraddha Hegde <[email-masked]>
Date: Thu, 9 Feb 2012 15:03:08 +0530

In case of p2mp networks, type 3 links used to describe the interface address
is omitted to hide the network.

This can cause problems in the next hop calculation in certain cases and in my opinion it is better to avoid installing a certain route  (as done in case of broadcast networks in this draft) rather than completely omitting it.

Consider a scenario when p2mp interfaces are configured in the NSSA area.

A---------B
     | 
     ------C

A,B and C are connected over a p2mp network configured in NSSA area.
B & C are ASBRs importing external routes. B & C will have to include forwarding address corresponding to interface address when they advertise external LSA to A. 
We cannot hide the p2mp network in the above scenario as type 3 stub-links are completely omitted, we cannot resolve the forwarding address for the external LSAs originated by B & C.

Rgds
Shraddha

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Acee Lindem
Sent: Wednesday, February 08, 2012 10:37 PM
Cc: OSPF List
Subject: [OSPF] OSPF WG Last Call for "Hiding Transit-only Networks in OSPF " - <draft-ietf-ospf-prefix-hiding-02.txt>

Thanks,
Acee

---

From: Acee Lindem <[email-masked]>
Date: Thu, 9 Feb 2012 10:12:40 -0500

Hi Shraddha, 

You raise a very good point. 

> We cannot hide the p2mp network in the above scenario as type 3 stub-links are completely omitted, we cannot resolve the forwarding address for the external LSAs originated by B & C.

I think there should just be a general statement that a forwarding address MUST not be advertised when prefix-hiding is configured on the next-hop interface. However, we'll see what the authors have to say. 

Thanks,
Acee

---

From: Shraddha Hegde <[email-masked]>
Date: Thu, 9 Feb 2012 22:26:24 +0530

My concern is that we would be introducing a new feature which won't work with some existing feature!. Could be a pain for operators who already use forwarding address for some optimization and want to use network hiding for security.

Rgds
Shraddha
-----Original Message-----
From: Acee Lindem [mailto:[email-masked]] 
Sent: Thursday, February 09, 2012 8:43 PM
To: Shraddha Hegde
Cc: OSPF List
Subject: Re: [OSPF] OSPF WG Last Call for "Hiding Transit-only Networks in OSPF " - <draft-ietf-ospf-prefix-hiding-02.txt>

Hi Shraddha, 

On Feb 9, 2012, at 4:33 AM, Shraddha Hegde wrote:

> In case of p2mp networks, type 3 links used to describe the interface 
> address is omitted to hide the network.
> 

Thanks,
Acee

> Subject: [OSPF] OSPF WG Last Call for "Hiding Transit-only Networks in 
> OSPF " - <draft-ietf-ospf-prefix-hiding-02.txt>
>

---

From: "Retana, Alvaro" <[email-masked]>
Date: Fri, 10 Feb 2012 16:00:04 +0000

Shraddha:

Hi!

Yes, you're right...there will be some loss of functionality, but only in the cases where the LSAs are omitted *and* an ASBR is present *and* the forwarding address is already being used.

We will update the draft to indicate the need to not use the forwarding address in those cases, and to discuss the deployment considerations.

Thanks!!

Alvaro.

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Shraddha Hegde
> Sent: Thursday, February 09, 2012 11:56 AM
> To: Acee Lindem
> Cc: OSPF List
> Subject: Re: [OSPF] OSPF WG Last Call for "Hiding Transit-only Networks
> in OSPF " - <draft-ietf-ospf-prefix-hiding-02.txt>
> 
> My concern is that we would be introducing a new feature which won't
> work with some existing feature!. Could be a pain for operators who
> already use forwarding address for some optimization and want to use
> network hiding for security.
> 
> Rgds
> Shraddha
> Subject: Re: [OSPF] OSPF WG Last Call for "Hiding Transit-only Networks
> in OSPF " - <draft-ietf-ospf-prefix-hiding-02.txt>
> 
> Hi Shraddha,
> 
> > This can cause problems in the next hop calculation in certain cases
> and in my opinion it is better to avoid installing a certain route  (as
> done in case of broadcast networks in this draft) rather than
> completely omitting it.
> >
> > B & C are ASBRs importing external routes. B & C will have to include
> forwarding address corresponding to interface address when they
> advertise external LSA to A.
> > We cannot hide the p2mp network in the above scenario as type 3 stub-
> links are completely omitted, we cannot resolve the forwarding address
> for the external LSAs originated by B & C.
> 
> I think there should just be a general statement that a forwarding
> address MUST not be advertised when prefix-hiding is configured on the
> next-hop interface. However, we'll see what the authors have to say.
> 
> 
> Thanks,
> Acee
> 
> 
> 
> >
> > Rgds
> > Shraddha
> >
> > As I have heard no objections, I'm beginning the 2 week OSPF Working
> Group last call for draft-ietf-ospf-prefix-hiding-02.txt.
> >> As WG co-chair, I have reviewed this document and believe it is
> ready for OSPF WG last call. Any other opinions?

---

From: Rajesh <[email-masked]>
Date: Mon, 20 Feb 2012 11:25:00 +0530

Dear Acee,

We can add one statement in section 3 of this draft [which is for OSPFv3]
"LA-bit prefix we advertise in intra area prefix LSA for Virtual LINK IPv6
address discovery, must not be taken from the interface where the prefix
hiding is configured"

Please check.

Thanks & Regards
Rajesh

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Acee
Lindem
Sent: Wednesday, February 08, 2012 10:37 PM
Cc: OSPF List
Subject: [OSPF] OSPF WG Last Call for "Hiding Transit-only Networks in OSPF
" - <draft-ietf-ospf-prefix-hiding-02.txt>

As I have heard no objections, I'm beginning the 2 week OSPF Working Group
last call for draft-ietf-ospf-prefix-hiding-02.txt.
Please review the draft and post your last call comments prior to 12:00 AM
PDT on February 23nd, 2012. 
Here is a URL for your convenience: 

Thanks,
Acee

---

From: Acee Lindem <[email-masked]>
Date: Mon, 20 Feb 2012 09:19:15 -0500

Hi Rajesh, 

> address discovery, must not be taken from the interface where the prefix

It is somewhat obvious that you wouldn't choose an address that is not advertised. However, I guess it wouldn't hurt to add that the RFC 5340, Section 4.4.3.9.  Intra-Area-Prefix-LSAs, selection an IPv6 address to terminate virtual links will be modified to exclude interfaces with the prefix hiding configured. 

Thanks,
Acee

---

From: Rajesh <[email-masked]>
Date: Tue, 21 Feb 2012 08:52:20 +0530

Dear Acee,

Some more thoughts.

1) In section 3 of this draft " Hiding IPv6 Transit-only Networks in OSPFv3"
We can also mention about LINK LSA. If the prefix hiding is configured on a
interface, then no need to mention global prefixes in Link LSA.

2) For prefix hiding configuration option, may be we need to support OSPF
and OSPFv3 MIBs as well.

Thanks
Rajesh

-----Original Message-----
From: Acee Lindem [mailto:[email-masked]] 
Sent: Monday, February 20, 2012 7:49 PM
To: Rajesh
Cc: OSPF List
Subject: Re: [OSPF] OSPF WG Last Call for "Hiding Transit-only Networks in

Hi Rajesh, 

> address discovery, must not be taken from the interface where the prefix

It is somewhat obvious that you wouldn't choose an address that is not
advertised. However, I guess it wouldn't hurt to add that the RFC 5340,
Section 4.4.3.9.  Intra-Area-Prefix-LSAs, selection an IPv6 address to
terminate virtual links will be modified to exclude interfaces with the
prefix hiding configured. 

Thanks,
Acee

Acee
> Subject: [OSPF] OSPF WG Last Call for "Hiding Transit-only Networks in
OSPF

---

From: Yi Yang <[email-masked]>
Date: Wed, 22 Feb 2012 08:21:44 -0500

Hi Rajesh,

Thanks for your comments. I agree that prefix-hiding must not be configured on VL interface. But link-LSAs are not being used in SPF calculations.

Yi

---

From: Acee Lindem <[email-masked]>
Date: Wed, 22 Feb 2012 08:53:55 -0500

Hi Yi,
The global addresses do need to be suppressed from OSPFv3 Link-LSAs since they are used by the DR to produce the Intra-Area-Prefix-LSA corresponding to the transit network  
Thanks,
Acee

---

From: "Marek Karasek (mkarasek)" <[email-masked]>
Date: Wed, 22 Feb 2012 15:45:51 +0100

Hi Acee,

one can argue that if prefix-suppression is configured on DR, DR will
not produce Intra-Area-Prefix-LSA corresponding to the transit network.
To some extend it's equivalent of v2 behavior, prefix suppression has to
be configured on DR in order to hide the subnet on the broadcast
segment.

In any case, it would be good if draft specify:
 - if prefixes are suppressed from Intra-Area-Prefix-LSA only, or also
from link LSA.
 - if prefix-suppression is configured on DR, will be suppressed only
own prefixes, or also prefixes learnt from BDRs/DROTHERs via link LSAs.

I read current draft such that prefixes are suppresses only from
Intra-Area-Prefix-LSA and if suppression configured on DR, DR will not
produce Intra-Area-Prefix-LSA
corresponding to the transit network. I'm OK with it, but other models
are acceptable too.

Thanks marek

> Acee Lindem
> Sent: Wednesday, February 22, 2012 2:54 PM
> To: Yi Yang (yiya)
> Cc: OSPF List
> The global addresses do need to be suppressed from OSPFv3 Link-LSAs
> since they are used by the DR to produce the Intra-Area-Prefix-LSA
> corresponding to the transit network
> Thanks,
> Acee
> 
> > Thanks for your comments. I agree that prefix-hiding must not be
> configured on VL interface. But link-LSAs are not being used in SPF
> calculations.
> >
> > Yi
> >
> >
> >
> >> 1) In section 3 of this draft " Hiding IPv6 Transit-only Networks
in
> OSPFv3"
> >> 2) For prefix hiding configuration option, may be we need to
support
> >>> Subject: [OSPF] OSPF WG Last Call for "Hiding Transit-only
Networks
> in

---

From: Yi Yang <[email-masked]>
Date: Wed, 22 Feb 2012 09:51:14 -0500

Hi Acee,

Let me clarify what I meant.

The DR will use the Link-LSAs to produce the intra-area-prefix-LSA for the transit networks. However, as long as we omit the global address from the intra-area-prefix-LSA, the global address won't be installed in the routing table, no matter if the global address has been advertised in the Link-LSAs or not. 

In other words, for prefix-hiding, we don't need to omit the global address in the Link-LSAs.

Yi

---

From: Acee Lindem <[email-masked]>
Date: Wed, 22 Feb 2012 14:47:59 -0500

Hi Yi,
Ok - does the draft already say that all routers on a transit network SHOULD be configured with the same prefix visibility?
Thanks,
Acee
On Feb 22, 2012, at 9:51 AM, Yi Yang wrote:

Hi Acee,

Yi

Hi Yi,

On Feb 22, 2012, at 8:21 AM, Yi Yang wrote:

>>> From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of
>> Acee
>>> Lindem
>>>> [email-masked]<mailto:[email-masked]>
>>> [email-masked]<mailto:[email-masked]>
>> [email-masked]<mailto:[email-masked]>

---

From: Michael Barnes <[email-masked]>
Date: Wed, 22 Feb 2012 12:55:35 -0800

Folks,

To expand on Marek's comment, please consider the scenario of a transit 
link with routers A and B (and perhaps others) where A is the DR and 
configured with prefix suppression but B has a global prefix which needs 
to be advertised. In this scenario A must include B's prefix in its 
intra-area-prefix LSA for the Link. Therefor I believe the best way to 
handle transit links is for prefixes to only be suppressed from Link 
LSAs. The DR in this case will not have put its own global prefix in its 
Link LSA and that will keep it out of the intra-area-prefix LSA but the 
DR prefix LSA can still be built according to RFC5340 section 4.4.3.9

Regards,
Michael

On 02/22/2012 06:45 AM, Marek Karasek (mkarasek) wrote:
>> in OSPF " -<draft-ietf-ospf-prefix-hiding-02.txt>
>>
>> Hi Yi,
>>>> OSPF " -<draft-ietf-ospf-prefix-hiding-02.txt>
>>>>
>>>> Hi Rajesh,
>>>>
>>>>> Thanks&  Regards
>>>>> " -<draft-ietf-ospf-prefix-hiding-02.txt>
>>>>>

---

From: Rajesh <[email-masked]>
Date: Thu, 23 Feb 2012 10:22:38 +0530

Dear Michael,

I agree with you. "Best way to handle transit links is for prefixes to only
be suppressed from Link LSAs". 

Above solution will help us In a partial deployment scenario, where upgraded
routers (NON-DR with prefix hiding configured) and not-yet-upgraded
routers(DR) may coexist.

Thanks & Regards
Rajesh

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Michael Barnes
Sent: Thursday, February 23, 2012 2:26 AM
To: [email-masked]
Subject: Re: [OSPF] OSPF WG Last Call for "Hiding Transit-only Networks in
OSPF " - <draft-ietf-ospf-prefix-hiding-02.txt>

Folks,

Regards,
Michael